#!/usr/bin/env python

import birchscript
import re
import os
import os.path
import sys

#
# restart shell script
#
if len(sys.argv) != 2:
    print "Usage:  restart  checkpoint_file"
    exit()

file = sys.argv[1]

if not os.path.exists(file):
    print "restart: " + file + ": File not found"
    exit()

h_file = open(file, "r")
end1 = ""
end2 = ""
line_number = 0
for line in h_file:
    if re.search('((;)|(\)\.))[ 	]*$', line):
        end1 = end2
        end2 = str(line_number) + '\n'
    line_number += 1
lastTwoEnds = end1 + end2
h_file.close()

nFound = len(lastTwoEnds.split())

if nFound == 0:
    print "restart: Unable to locate end of tree(s) in file"
    exit()

print sys.stdin.readline().rstrip("\r\n") + " R"
for line in sys.stdin.readlines():
    sys.stdout.write(line)
# tail -1 "$file"

if nFound == 1:
    birchscript.cat_to(file, sys.stdout)
else:
    # penultimateEnd=`echo $lastTwoEnds | sed 's/^\([0-9]*\).*$/\1/'`
    # lastStart = penultimateEnd + 1

    lastStart = re.sub('^\([0-9]*\).*$', '\1', lastTwoEnds) + 1
    h_file = open(file, "r")
    for line in h_file.readlines()[lastStart]:
        print line
    h_file.close()
